KirkEngine Class Reference
Pricing engines » Basket option engines

Pricing engine for spread option on two futures. More...

`#include <ql/pricingengines/basket/kirkengine.hpp>`

Inheritance diagram for KirkEngine:
[legend]

## Public Member Functions

| KirkEngine (const ext::shared_ptr< BlackProcess > &process1, const ext::shared_ptr< BlackProcess > &process2, Real correlation)
void | calculate () const
Public Member Functions inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
BasketOption::arguments | arguments_
BasketOption::results | results_

## Detailed Description

Pricing engine for spread option on two futures.

This class implements formulae from "Correlation in the Energy Markets", E. Kirk Managing Energy Price Risk. London: Risk Publications and Enron, pp. 71-78

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.